<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('claim_encounter', function (Blueprint $table) {
            $table->id();
            $table->foreignId('claim_id');
            $table->foreignId('encounter_id');

            $table->index(['claim_id', 'encounter_id'], 'claim_encounter_index');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('claim_encounter');
    }
};
